Bullet Collision Detection & Physics Library: btTypedConstraint.h File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Functions
btTypedConstraint.h File Reference
`#include "LinearMath/btScalar.h"`
`#include "btSolverConstraint.h"`
`#include "BulletDynamics/Dynamics/btRigidBody.h"`
Include dependency graph for btTypedConstraint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | btJointFeedback
class | btTypedConstraint
| TypedConstraint is the baseclass for Bullet constraints and vehicles. More...
struct | btTypedConstraint::btConstraintInfo1
struct | btTypedConstraint::btConstraintInfo2
struct | btTypedConstraintFloatData
| do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...
struct | btTypedConstraintData
| this structure is not used, except for loading pre-2.82 .bullet files More...
struct | btTypedConstraintDoubleData
class | btAngularLimit

## Macros
#define | btTypedConstraintData2 btTypedConstraintFloatData
#define | btTypedConstraintDataName "btTypedConstraintFloatData"
#define | btAssertConstrParams(_par) btAssert(_par)
#define | BT_BACKWARDS_COMPATIBLE_SERIALIZATION
| do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

## Enumerations
enum | btTypedConstraintType { POINT2POINT_CONSTRAINT_TYPE = 3 , HINGE_CONSTRAINT_TYPE , CONETWIST_CONSTRAINT_TYPE , D6_CONSTRAINT_TYPE , SLIDER_CONSTRAINT_TYPE , CONTACT_CONSTRAINT_TYPE , D6_SPRING_CONSTRAINT_TYPE , GEAR_CONSTRAINT_TYPE , FIXED_CONSTRAINT_TYPE , D6_SPRING_2_CONSTRAINT_TYPE , MAX_CONSTRAINT_TYPE }
enum | btConstraintParams { BT_CONSTRAINT_ERP = 1 , BT_CONSTRAINT_STOP_ERP , BT_CONSTRAINT_CFM , BT_CONSTRAINT_STOP_CFM }

## Functions
btScalar | btAdjustAngleToLimits (btScalar angleInRadians, btScalar angleLowerLimitInRadians, btScalar angleUpperLimitInRadians)

## Macro Definition Documentation

## ◆ BT_BACKWARDS_COMPATIBLE_SERIALIZATION

#define BT_BACKWARDS_COMPATIBLE_SERIALIZATION

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 384 of file btTypedConstraint.h.

## ◆ btAssertConstrParams

#define btAssertConstrParams | ( |  | _par | ) | btAssert(_par)

Definition at line 58 of file btTypedConstraint.h.

## ◆ btTypedConstraintData2

#define btTypedConstraintData2 btTypedConstraintFloatData

Definition at line 27 of file btTypedConstraint.h.

## ◆ btTypedConstraintDataName

#define btTypedConstraintDataName "btTypedConstraintFloatData"

Definition at line 28 of file btTypedConstraint.h.

## Enumeration Type Documentation

## ◆ btConstraintParams

enum btConstraintParams

Enumerator
BT_CONSTRAINT_ERP |
BT_CONSTRAINT_STOP_ERP |
BT_CONSTRAINT_CFM |
BT_CONSTRAINT_STOP_CFM |

Definition at line 49 of file btTypedConstraint.h.

## ◆ btTypedConstraintType

enum btTypedConstraintType

Enumerator
POINT2POINT_CONSTRAINT_TYPE |
HINGE_CONSTRAINT_TYPE |
CONETWIST_CONSTRAINT_TYPE |
D6_CONSTRAINT_TYPE |
SLIDER_CONSTRAINT_TYPE |
CONTACT_CONSTRAINT_TYPE |
D6_SPRING_CONSTRAINT_TYPE |
GEAR_CONSTRAINT_TYPE |
FIXED_CONSTRAINT_TYPE |
D6_SPRING_2_CONSTRAINT_TYPE |
MAX_CONSTRAINT_TYPE |

Definition at line 34 of file btTypedConstraint.h.

## Function Documentation

## ◆ btAdjustAngleToLimits()

btScalar btAdjustAngleToLimits | ( | btScalar | angleInRadians,
|  | btScalar | angleLowerLimitInRadians,
|  | btScalar | angleUpperLimitInRadians
| ) |  |
| inline

Definition at line 331 of file btTypedConstraint.h.